top of page

LCAlink Download

Latest version: LCAlink 2.2

Minimum requirements

1. Ensure you uninstall the previous version of LCAlink before installing the latest. 

2. In the downloaded folder properties, unblock the security setting before installing it.

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

Contact LCAlink if you have any issues.

 

image.png
bottom of page